<!doctype html>
<html lang="fr">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>{{ title }}</title>
    <link rel="stylesheet" href="{{ url_for('static',filename='bootstrap/css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ url_for('static',filename='fonts/font-awesome.min.css') }}">
    <link rel="stylesheet" href="{{ url_for('static',filename='fonts/ionicons.min.css') }}">
    <link rel="stylesheet" href="{{ url_for('static',filename='css/bootstrap/Footer-Dark.css') }}">
    <link rel="stylesheet" href="{{ url_for('static',filename='css/navbar.css') }}">
    <link rel="stylesheet" href="{{ url_for('static',filename='css/base.css') }}">
    {% if current_user.admin %}
    <link rel="stylesheet" href="{{ url_for('static',filename='css/menu_deroulant_admin.css') }}">
    {% else %}
    <link rel="stylesheet" href="{{ url_for('static',filename='css/menu_deroulant.css') }}">
    {% endif %}
    {% block style %}{% endblock %}
    <script src="{{ url_for('static',filename='js/jquery.min.js') }}"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.js"> </script>
    <script src="{{ url_for('static',filename='bootstrap/js/bootstrap.min.js') }}"></script>
    {% block headscript %}{% endblock %}
</head>

<body>
    <div class="nav">
        <nav class="navbar navbar-light navbar-expand-md fixed-top nav">
            <div class="container-fluid">
                <button data-toggle="collapse" class="navbar-toggler" data-target="#navcol-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navcol-1">
                    <div id = "div_logo"> 
                        <a class="nav-link" href="{{ url_for('home') }}"> <img src="{{url_for('static', filename = 'img/logo.png')}}" alt="logo accessigne" class = "logo"> </a>
                    </div>
                    {% if current_user.is_authenticated %}
                    <ul class="nav navbar-nav ulAuth">
                        <li class="nav-item deroulant">
                            {% if current_user.admin %}
                            <a href="#"><i class="fa fa-user-secret"></i> {{ current_user.nom }}</a>
                            {% else %}
                            <a href="#"><i class="fa fa-user"></i> {{ current_user.nom }}</a>
                            {% endif %}
                            <ul class="sous">
                                <li><a href="/utilisateur/profile/{{current_user.id}}">Mon Profil</a></li>
                                {% if current_user.role == "Implenteur" %}
                                <li><a href="{{ url_for('afficher_utilisateurs') }}">Gérer les utilisateurs</a></li>
                                <li><a href="{{ url_for('afficher_produits') }}">Gérer les produits</a></li>

                                {% endif %}
                                <li><a href="{{ url_for('auth.logout') }}">Se déconnecter</a></li>
                            </ul>
                        </li>
                    </ul>
                    {% else %}
                    <ul class="nav navbar-nav ulAuth">
                        <li class="nav-item"><a class="nav-link" href="{{ url_for('auth.login') }}">Connexion</a></li>
                    </ul>
                    {% endif %}
                </div>
            </div>
        </nav>
    </div>
    <div id="div_flash">
        {% with messages = get_flashed_messages(category_filter=["error"]) %}
        {% if messages %}
        <div class="alert block-message alert-danger mb-3" role="alert">
            <ul class=flashes>
                {% for message in messages %}
                <li>{{ message }}</li>
                {% endfor %}
            </ul>
        </div>
        {% endif %}
        {% endwith %}

        {% with messages = get_flashed_messages(category_filter=["success"]) %}
        {% if messages %}
        <div class="alert block-message alert-success mb-3" role="alert">
            <ul class=flashes>
                {% for message in messages %}
                <li>{{ message }}</li>
                {% endfor %}
            </ul>
        </div>
        {% endif %}
        {% endwith %}
    </div>
    <div id = "page">
        {% block main %} {% endblock %}
    </div>

    <footer class="footer-dark">
        <div class="container">
            <div class="row">
                <div class="col-sm-6 col-md-3 item">
                    <h3>À propos</h3>
                    <ul>
                        <li><a href="#">Ce site web a été développé dans le cadre d'un stage d'un étudiant
                                de l'IUT Informatique d'Orléans. Il s'agit d'un site web conçu en Flask. </a></li>
                    </ul>
                </div>
                <div class="col-sm-6 col-md-3 item">
                    <h3>Contact</h3>
                    <ul>
                        <li><a href="#">Mail : contact@accessigne.fr</a></li>
                    </ul>
                </div>
                <div class="col-md-6 item text">
                    <h3>Accessigne</h3>
                    <p>
                        Accessigne est votre entreprise d'expert en signalétique 
                        situé à Troyes
                    </p>
                </div>
                <div class="col item social">
                    <a target="_blank" href="https://www.facebook.com/accessignetroyes"><i
                            class="icon ion-social-facebook"></i></a>
                    <a target="_blank" href="https://www.accessigne.fr/"><i class="icon ion-link"></i></a>
                </div>
            </div>
            <p class="copyright"> Accessigne © 2020-2021</p>
        </div>
    </footer>
    
    {% block script %}{% endblock %}
</body>